Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2012::/16
First address
2012::
Last address
2012:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2012:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
2.1.0.2.ip6.arpa
Split into smaller subnets/28

2012::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12012::/282012:f:ffff:ffff:ffff:ffff:ffff:ffff
22012:10::/282012:1f:ffff:ffff:ffff:ffff:ffff:ffff
32012:20::/282012:2f:ffff:ffff:ffff:ffff:ffff:ffff
42012:30::/282012:3f:ffff:ffff:ffff:ffff:ffff:ffff
52012:40::/282012:4f:ffff:ffff:ffff:ffff:ffff:ffff
62012:50::/282012:5f:ffff:ffff:ffff:ffff:ffff:ffff
72012:60::/282012:6f:ffff:ffff:ffff:ffff:ffff:ffff
82012:70::/282012:7f:ffff:ffff:ffff:ffff:ffff:ffff
92012:80::/282012:8f:ffff:ffff:ffff:ffff:ffff:ffff
102012:90::/282012:9f:ffff:ffff:ffff:ffff:ffff:ffff
112012:a0::/282012:af:ffff:ffff:ffff:ffff:ffff:ffff
122012:b0::/282012:bf:ffff:ffff:ffff:ffff:ffff:ffff
132012:c0::/282012:cf:ffff:ffff:ffff:ffff:ffff:ffff
142012:d0::/282012:df:ffff:ffff:ffff:ffff:ffff:ffff
152012:e0::/282012:ef:ffff:ffff:ffff:ffff:ffff:ffff
162012:f0::/282012:ff:ffff:ffff:ffff:ffff:ffff:ffff
172012:100::/282012:10f:ffff:ffff:ffff:ffff:ffff:ffff
182012:110::/282012:11f:ffff:ffff:ffff:ffff:ffff:ffff
192012:120::/282012:12f:ffff:ffff:ffff:ffff:ffff:ffff
202012:130::/282012:13f:ffff:ffff:ffff:ffff:ffff:ffff
212012:140::/282012:14f:ffff:ffff:ffff:ffff:ffff:ffff
222012:150::/282012:15f:ffff:ffff:ffff:ffff:ffff:ffff
232012:160::/282012:16f:ffff:ffff:ffff:ffff:ffff:ffff
242012:170::/282012:17f:ffff:ffff:ffff:ffff:ffff:ffff
252012:180::/282012:18f:ffff:ffff:ffff:ffff:ffff:ffff
262012:190::/282012:19f:ffff:ffff:ffff:ffff:ffff:ffff
272012:1a0::/282012:1af:ffff:ffff:ffff:ffff:ffff:ffff
282012:1b0::/282012:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292012:1c0::/282012:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302012:1d0::/282012:1df:ffff:ffff:ffff:ffff:ffff:ffff
312012:1e0::/282012:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322012:1f0::/282012:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332012:200::/282012:20f:ffff:ffff:ffff:ffff:ffff:ffff
342012:210::/282012:21f:ffff:ffff:ffff:ffff:ffff:ffff
352012:220::/282012:22f:ffff:ffff:ffff:ffff:ffff:ffff
362012:230::/282012:23f:ffff:ffff:ffff:ffff:ffff:ffff
372012:240::/282012:24f:ffff:ffff:ffff:ffff:ffff:ffff
382012:250::/282012:25f:ffff:ffff:ffff:ffff:ffff:ffff
392012:260::/282012:26f:ffff:ffff:ffff:ffff:ffff:ffff
402012:270::/282012:27f:ffff:ffff:ffff:ffff:ffff:ffff
412012:280::/282012:28f:ffff:ffff:ffff:ffff:ffff:ffff
422012:290::/282012:29f:ffff:ffff:ffff:ffff:ffff:ffff
432012:2a0::/282012:2af:ffff:ffff:ffff:ffff:ffff:ffff
442012:2b0::/282012:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452012:2c0::/282012:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462012:2d0::/282012:2df:ffff:ffff:ffff:ffff:ffff:ffff
472012:2e0::/282012:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482012:2f0::/282012:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492012:300::/282012:30f:ffff:ffff:ffff:ffff:ffff:ffff
502012:310::/282012:31f:ffff:ffff:ffff:ffff:ffff:ffff
512012:320::/282012:32f:ffff:ffff:ffff:ffff:ffff:ffff
522012:330::/282012:33f:ffff:ffff:ffff:ffff:ffff:ffff
532012:340::/282012:34f:ffff:ffff:ffff:ffff:ffff:ffff
542012:350::/282012:35f:ffff:ffff:ffff:ffff:ffff:ffff
552012:360::/282012:36f:ffff:ffff:ffff:ffff:ffff:ffff
562012:370::/282012:37f:ffff:ffff:ffff:ffff:ffff:ffff
572012:380::/282012:38f:ffff:ffff:ffff:ffff:ffff:ffff
582012:390::/282012:39f:ffff:ffff:ffff:ffff:ffff:ffff
592012:3a0::/282012:3af:ffff:ffff:ffff:ffff:ffff:ffff
602012:3b0::/282012:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612012:3c0::/282012:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622012:3d0::/282012:3df:ffff:ffff:ffff:ffff:ffff:ffff
632012:3e0::/282012:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642012:3f0::/282012:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652012:400::/282012:40f:ffff:ffff:ffff:ffff:ffff:ffff
662012:410::/282012:41f:ffff:ffff:ffff:ffff:ffff:ffff
672012:420::/282012:42f:ffff:ffff:ffff:ffff:ffff:ffff
682012:430::/282012:43f:ffff:ffff:ffff:ffff:ffff:ffff
692012:440::/282012:44f:ffff:ffff:ffff:ffff:ffff:ffff
702012:450::/282012:45f:ffff:ffff:ffff:ffff:ffff:ffff
712012:460::/282012:46f:ffff:ffff:ffff:ffff:ffff:ffff
722012:470::/282012:47f:ffff:ffff:ffff:ffff:ffff:ffff
732012:480::/282012:48f:ffff:ffff:ffff:ffff:ffff:ffff
742012:490::/282012:49f:ffff:ffff:ffff:ffff:ffff:ffff
752012:4a0::/282012:4af:ffff:ffff:ffff:ffff:ffff:ffff
762012:4b0::/282012:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772012:4c0::/282012:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782012:4d0::/282012:4df:ffff:ffff:ffff:ffff:ffff:ffff
792012:4e0::/282012:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802012:4f0::/282012:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812012:500::/282012:50f:ffff:ffff:ffff:ffff:ffff:ffff
822012:510::/282012:51f:ffff:ffff:ffff:ffff:ffff:ffff
832012:520::/282012:52f:ffff:ffff:ffff:ffff:ffff:ffff
842012:530::/282012:53f:ffff:ffff:ffff:ffff:ffff:ffff
852012:540::/282012:54f:ffff:ffff:ffff:ffff:ffff:ffff
862012:550::/282012:55f:ffff:ffff:ffff:ffff:ffff:ffff
872012:560::/282012:56f:ffff:ffff:ffff:ffff:ffff:ffff
882012:570::/282012:57f:ffff:ffff:ffff:ffff:ffff:ffff
892012:580::/282012:58f:ffff:ffff:ffff:ffff:ffff:ffff
902012:590::/282012:59f:ffff:ffff:ffff:ffff:ffff:ffff
912012:5a0::/282012:5af:ffff:ffff:ffff:ffff:ffff:ffff
922012:5b0::/282012:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932012:5c0::/282012:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942012:5d0::/282012:5df:ffff:ffff:ffff:ffff:ffff:ffff
952012:5e0::/282012:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962012:5f0::/282012:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972012:600::/282012:60f:ffff:ffff:ffff:ffff:ffff:ffff
982012:610::/282012:61f:ffff:ffff:ffff:ffff:ffff:ffff
992012:620::/282012:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002012:630::/282012:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012012:640::/282012:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022012:650::/282012:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032012:660::/282012:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042012:670::/282012:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052012:680::/282012:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062012:690::/282012:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072012:6a0::/282012:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082012:6b0::/282012:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092012:6c0::/282012:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102012:6d0::/282012:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112012:6e0::/282012:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122012:6f0::/282012:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132012:700::/282012:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142012:710::/282012:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152012:720::/282012:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162012:730::/282012:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172012:740::/282012:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182012:750::/282012:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192012:760::/282012:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202012:770::/282012:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212012:780::/282012:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222012:790::/282012:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232012:7a0::/282012:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242012:7b0::/282012:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252012:7c0::/282012:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262012:7d0::/282012:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272012:7e0::/282012:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282012:7f0::/282012:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292012:800::/282012:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302012:810::/282012:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312012:820::/282012:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322012:830::/282012:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332012:840::/282012:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342012:850::/282012:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352012:860::/282012:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362012:870::/282012:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372012:880::/282012:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382012:890::/282012:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392012:8a0::/282012:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402012:8b0::/282012:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412012:8c0::/282012:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422012:8d0::/282012:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432012:8e0::/282012:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442012:8f0::/282012:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452012:900::/282012:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462012:910::/282012:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472012:920::/282012:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482012:930::/282012:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492012:940::/282012:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502012:950::/282012:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512012:960::/282012:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522012:970::/282012:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532012:980::/282012:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542012:990::/282012:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552012:9a0::/282012:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562012:9b0::/282012:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572012:9c0::/282012:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582012:9d0::/282012:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592012:9e0::/282012:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602012:9f0::/282012:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612012:a00::/282012:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622012:a10::/282012:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632012:a20::/282012:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642012:a30::/282012:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652012:a40::/282012:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662012:a50::/282012:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672012:a60::/282012:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682012:a70::/282012:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692012:a80::/282012:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702012:a90::/282012:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712012:aa0::/282012:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722012:ab0::/282012:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732012:ac0::/282012:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742012:ad0::/282012:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752012:ae0::/282012:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762012:af0::/282012:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772012:b00::/282012:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782012:b10::/282012:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792012:b20::/282012:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802012:b30::/282012:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812012:b40::/282012:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822012:b50::/282012:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832012:b60::/282012:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842012:b70::/282012:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852012:b80::/282012:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862012:b90::/282012:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872012:ba0::/282012:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882012:bb0::/282012:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892012:bc0::/282012:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902012:bd0::/282012:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912012:be0::/282012:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922012:bf0::/282012:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932012:c00::/282012:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942012:c10::/282012:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952012:c20::/282012:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962012:c30::/282012:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972012:c40::/282012:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982012:c50::/282012:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992012:c60::/282012:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002012:c70::/282012:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012012:c80::/282012:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022012:c90::/282012:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032012:ca0::/282012:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042012:cb0::/282012:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052012:cc0::/282012:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062012:cd0::/282012:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072012:ce0::/282012:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082012:cf0::/282012:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092012:d00::/282012:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102012:d10::/282012:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112012:d20::/282012:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122012:d30::/282012:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132012:d40::/282012:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142012:d50::/282012:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152012:d60::/282012:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162012:d70::/282012:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172012:d80::/282012:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182012:d90::/282012:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192012:da0::/282012:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202012:db0::/282012:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212012:dc0::/282012:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222012:dd0::/282012:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232012:de0::/282012:def:ffff:ffff:ffff:ffff:ffff:ffff
2242012:df0::/282012:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252012:e00::/282012:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262012:e10::/282012:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272012:e20::/282012:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282012:e30::/282012:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292012:e40::/282012:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302012:e50::/282012:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312012:e60::/282012:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322012:e70::/282012:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332012:e80::/282012:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342012:e90::/282012:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352012:ea0::/282012:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362012:eb0::/282012:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372012:ec0::/282012:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382012:ed0::/282012:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392012:ee0::/282012:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402012:ef0::/282012:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412012:f00::/282012:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422012:f10::/282012:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432012:f20::/282012:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442012:f30::/282012:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452012:f40::/282012:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462012:f50::/282012:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472012:f60::/282012:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482012:f70::/282012:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492012:f80::/282012:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502012:f90::/282012:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512012:fa0::/282012:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522012:fb0::/282012:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532012:fc0::/282012:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542012:fd0::/282012:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552012:fe0::/282012:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562012:ff0::/282012:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses